## ansible-13.3.0-1.src.tar.zst

=== ansible_collections/infoblox/nios_modules/tests/requirements.txt ===
infoblox-client
pytest
pytest-xdist
mock
pytest-mock
pytest-cov==2.8.0
coverage==7.6.1
launchpadlib

=== ansible_collections/ansible/netcommon/tests/unit/requirements.txt ===
setuptools > 0.6 # pytest-xdist installed via requirements does not work with very old setuptools (sanity_ok)
virtualenv ; python_version < '3'

ansible-pylibssh
jxmlease
ncclient
selectors2 ; python_version == '3.5'

# The follow are 3rd party libs for cli_parse
ntc_templates
# 21.4 changed the output of an error message we check in tests
pyats >= 21.4 ; python_version >= '3.6'
genie >= 21.4 ; python_version >= '3.6'
textfsm
xmltodict

=== debian/changelog ===
ansible (13.3.0-1) unstable; urgency=medium

  * Ansible 13.3.0 release

 -- Red Hat, Inc. <info@ansible.com>  Thu, 29 Jan 2026 20:14:53 +0000

=== PKGBUILD ===
# Maintainer: Alexandre Ferreira <contact@alexjorgef.com>

pkgname=ansible
# Note: When packaging a new version of ansible, bump version of ansible-core in
# depends, if required.
pkgver=13.3.0
pkgrel=1
pkgdesc='Official assortment of Ansible collections'
arch=('any')
url='https://pypi.org/project/ansible/'
msys2_references=(
  "cpe: cpe:/a:ansible:ansible"
  "cpe: cpe:/a:redhat:ansible"
  "cpe: cpe:/a:redhat:ansible_engine"
  "purl: pkg:pypi/ansible"
)
license=('spdx:GPL-3.0-or-later')
depends=(
  'python'
  # Bump the version of ansible-core at least whenever a new major version of
  # ansible is packaged / released. Check the ansible release notes to get the
  # corresponding version of ansible-core. It usually has a statement like
  # "Ansible x.y.z depends on ansible-core a.b.c" in it.
  'ansible-core>=2.20.2'
)
makedepends=(
  'python-setuptools'
  'python-build'
  'python-installer'
  'python-setuptools'
)
source=("https://pypi.python.org/packages/source/a/ansible/ansible-${pkgver}.tar.gz")
sha512sums=('73a28a0925564fe6eb2b2ce9175e5efb29c170e544b460cbda00baf5aaa2ea42e72460fef73e607ea3972de915fd91c1d37b858fb95ece5fee202d171431e7c3')

build() {
  cd ansible-${pkgver}

  python -m build --wheel --skip-dependency-check --no-isolation
}

package() {
  cd ansible-${pkgver}

  python -m installer --destdir="${pkgdir}" dist/*.whl

  install -Dm644 COPYING "${pkgdir}"/usr/share/doc/${pkgname}/COPYING
}
